org.kie.api.pmml

## Class IntegerFieldOutput

- java.lang.Object
- - org.kie.api.pmml.AbstractOutput<Integer>
  - - org.kie.api.pmml.IntegerFieldOutput

- All Implemented Interfaces:
    PMML4Output<Integer>

      public class IntegerFieldOutput
      extends AbstractOutput<Integer>

- - ### Field Summary

    - ### Fields inherited from class org.kie.api.pmml.AbstractOutput

      `weight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerFieldOutput()`
    `IntegerFieldOutput(String correlationId, String name, Integer value)`
    `IntegerFieldOutput(String correlationId, String name, String displayValue, Double weight, Integer value)`
    `IntegerFieldOutput(String correlationId, String segmentationId, String segmentId, String name, Integer value)`
    `IntegerFieldOutput(String correlationId, String segmentationId, String segmentId, String name, String displayValue, Double weight, Integer value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Integer` | `getValue()`
    `int` | `hashCode()`
    `void` | `setValue(Integer value)`
    `String` | `toString()`

    - ### Methods inherited from class org.kie.api.pmml.AbstractOutput

      `getCorrelationId, getDisplayValue, getName, getSegmentationId, getSegmentId, getWeight, setCorrelationId, setDisplayValue, setName, setSegmentationId, setSegmentId, setWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerFieldOutput

          public IntegerFieldOutput()

    - #### IntegerFieldOutput

          public IntegerFieldOutput(String correlationId,
                                    String name,
                                    String displayValue,
                                    Double weight,
                                    Integer value)

    - #### IntegerFieldOutput

          public IntegerFieldOutput(String correlationId,
                                    String segmentationId,
                                    String segmentId,
                                    String name,
                                    String displayValue,
                                    Double weight,
                                    Integer value)

    - #### IntegerFieldOutput

          public IntegerFieldOutput(String correlationId,
                                    String segmentationId,
                                    String segmentId,
                                    String name,
                                    Integer value)

    - #### IntegerFieldOutput

          public IntegerFieldOutput(String correlationId,
                                    String name,
                                    Integer value)

  - ### Method Detail

    - #### getValue

          public Integer getValue()

    - #### setValue

          public void setValue(Integer value)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractOutput<Integer>`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `AbstractOutput<Integer>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractOutput<Integer>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.